tt_otype_base(library call)

NAME
tt_otype_base — return the base otype of an otype

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_otype_base(
const char *otype);

DESCRIPTION

The tt_otype_base function returns the base otype of the given otype, or NULL if the given otype is not derived.

The otype argument is the object type involved in this operation.

RETURN VALUE

Upon successful completion, the tt_otype_base function returns the name of the base otype; if the given otype is not derived, this value is NULL. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned pointer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_OTYPE
    The specified object type is not the name of an installed object type.

APPLICATION USAGE

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_otype_is_derived(3), tt_otype_derived(3), tt_otype_deriveds_count(3), tt_spec_type(3), tt_message_otype(3), tt_ptr_error(3), tt_free(3).